Import Cards
curl --request POST \
--url https://app.plugchoice.com/api/v3/sites/{site}/cards/import \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://app.plugchoice.com/api/v3/sites/{site}/cards/import"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://app.plugchoice.com/api/v3/sites/{site}/cards/import', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"created": 123,
"skipped": 123,
"errors": [
{
"row": 123,
"name": "<string>",
"id_token": "<string>",
"error": "<string>"
}
]
}Cards
Import Cards
POST
/
v3
/
sites
/
{site}
/
cards
/
import
Import Cards
Imports multiple RFID cards from a CSV file. The CSV should have columns:
name and id_token. Maximum file size is 1 MB.
The UUID of the location.
A CSV file containing card data. Accepted formats:
.csv, .txt. Maximum size: 1 MB.Response
A status message indicating the import result.
The number of cards successfully created.
The number of cards skipped (e.g., duplicates).
⌘I